Public Member Functions | Public Attributes | List of all members
ClarisWksGraphInternal::ZoneUnknown Struct Referencefinal

Internal: structure used to store an unknown zone of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::ZoneUnknown:

## Public Member Functions
| ZoneUnknown (Zone const &z)
| construtor More...
| ~ZoneUnknown () final
| destructor More...
void | print (std::ostream &o) const final
| print the zone More...
Type | getType () const final
| return the main type More...
Type | getSubType () const final
| return the sub type More...
int | getNumData (int) const final
| return the number of data More...
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone More...
Public Member Functions inherited from ClarisWksGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
virtual int | getZoneId () const
| returns the id of the reference zone More...
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check) More...

## Public Attributes
Type | m_type
| the sub type More...
int | m_typeId
| type number More...
Public Attributes inherited from ClarisWksGraphInternal::Zone
int | m_zoneType
| the zone type More...
int | m_page
| the page (checkme: or frame linked ) More...
MWAWBox2f | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
Style | m_style
| the style More...

## Additional Inherited Members
Public Types inherited from ClarisWksGraphInternal::Zone
enum | Type { T_Zone, T_Zone2, T_Shape, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie }
| the list of types More...

## Detailed Description

Internal: structure used to store an unknown zone of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ◆ ZoneUnknown()

ClarisWksGraphInternal::ZoneUnknown::ZoneUnknown | ( | Zone const & | z | ) |
| inline explicit

construtor

## ◆ ~ZoneUnknown()

ClarisWksGraphInternal::ZoneUnknown::~ZoneUnknown | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getChild()

ClarisWksStruct::DSET::Child ClarisWksGraphInternal::ZoneUnknown::getChild | ( |  | ) | const
| inline final virtual

return a child corresponding to this zone

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getNumData()

int ClarisWksGraphInternal::ZoneUnknown::getNumData | ( | int |  | ) | const
| inline final virtual

return the number of data

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getSubType()

Type ClarisWksGraphInternal::ZoneUnknown::getSubType | ( |  | ) | const
| inline final virtual

return the sub type

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getType()

Type ClarisWksGraphInternal::ZoneUnknown::getType | ( |  | ) | const
| inline final virtual

return the main type

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ print()

void ClarisWksGraphInternal::ZoneUnknown::print | ( | std::ostream & | o | ) | const
| inline final virtual

print the zone

Reimplemented from ClarisWksGraphInternal::Zone.

## Member Data Documentation

## ◆ m_type

Type ClarisWksGraphInternal::ZoneUnknown::m_type

the sub type

## ◆ m_typeId

int ClarisWksGraphInternal::ZoneUnknown::m_typeId

type number

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx